class AMS_CubicMan extends GenericMale;

#exec MESH MODELIMPORT MESH=AMS_CubicMan MODELFILE=models\CubicMan.PSK LODSTYLE=12
#exec MESH ORIGIN MESH=AMS_CubicMan X=0 Y=0 Z=135 YAW=192

#exec MESH WEAPONATTACH MESH=AMS_CubicMan BONE="Bip01 R Hand"
#exec MESH WEAPONPOSITION MESH=AMS_CubicMan YAW=0 PITCH=0 ROLL=128 X=1.0 Y=0.0 Z=0.0

#exec MESHMAP SCALE MESHMAP=AMS_CubicMan X=0.3125 Y=0.3125 Z=0.3125
#exec MESH DEFAULTANIM MESH=AMS_CubicMan ANIM=EpicUTPS2MaleAnimation

#exec ANIM IMPORT ANIM=AMS_CubicManSelectAnim ANIMFILE=models\CubicManSelect.PSA COMPRESS=0.5 IMPORTSEQS=0
#exec ANIM SEQUENCE ANIM=AMS_CubicManSelectAnim SEQ=All STARTFRAME=0 NUMFRAMES=48 RATE=15
#exec ANIM SEQUENCE ANIM=AMS_CubicManSelectAnim SEQ=Breath3 STARTFRAME=0 NUMFRAMES=26 RATE=15
#exec ANIM SEQUENCE ANIM=AMS_CubicManSelectAnim SEQ=Breath2 STARTFRAME=26 NUMFRAMES=31 RATE=15
#exec ANIM SEQUENCE ANIM=AMS_CubicManSelectAnim SEQ=Breath1 STARTFRAME=57 NUMFRAMES=31 RATE=15

#exec ANIM DIGEST ANIM=AMS_CubicManSelectAnim VERBOSE

#exec MESH MODELIMPORT MESH=SelectAMS_CubicMan MODELFILE=models\SelectCubicMan.PSK LODSTYLE=12
#exec MESH ORIGIN MESH=SelectAMS_CubicMan X=0 Y=0 Z=135 YAW=192
#exec MESHMAP SCALE MESHMAP=SelectAMS_CubicMan X=0.2 Y=0.2 Z=0.2
#exec MESH DEFAULTANIM MESH=SelectAMS_CubicMan ANIM=AMS_CubicManSelectAnim

defaultproperties
{
     DummySelectionMeshReference=SkeletalMesh'AMS_DemoModels.SelectAMS_CubicMan'
     Deaths(0)=Sound'UnrealShare.Tentacle.injured1tn'
     Deaths(1)=Sound'UnrealShare.Tentacle.injured1tn'
     Deaths(2)=Sound'UnrealShare.Tentacle.death2tn'
     Deaths(3)=Sound'UnrealShare.Manta.death2m'
     Deaths(4)=Sound'UnrealShare.Brute.death2br'
     Deaths(5)=Sound'UnrealShare.Brute.death1br'
     SelectionMesh="AMS_DemoModels.SelectAMS_CubicMan"
     MenuName="Cubic Man - even fewer polygons than Jedi Knight"
     Mesh=SkeletalMesh'AMS_DemoModels.AMS_CubicMan'
	SkinInfo=Class'AMS_DemoModels.AMS_CubicManSkinInfo'
}
