// ================================================
// MyModel.uc
// Template model script for Generic* base classes.
// Simon 'Psychic_313' McVittie, March 2001
// ================================================

class MyModel extends GenericMale;
// or GenericFemale or GenericRobot, if more appropriate

// replace these with your own #exec script

#exec MESH MODELIMPORT MESH=MyMesh MODELFILE=models\MyMesh.PSK LODSTYLE=12
#exec MESH ORIGIN MESH=MyMesh X=0 Y=0 Z=135 YAW=192
#exec MESH WEAPONATTACH MESH=MyMesh BONE="Bip01 R Hand"
#exec MESH WEAPONPOSITION MESH=MyMesh YAW=0 PITCH=0 ROLL=128 X=1.0 Y=0.0 Z=0.0
#exec MESHMAP SCALE MESHMAP=MyMesh X=0.3125 Y=0.3125 Z=0.3125
#exec MESH DEFAULTANIM MESH=MyMesh ANIM=EpicUTPS2MaleAnimation

defaultproperties
{
Mesh=SkeletalMesh'MyPackage.MyMesh'
SelectionMesh="MyPackage.MyMesh"
MenuName="My Model"
SkinInfo=Class'MyPackage.MyModelSkinInfo'
}
