class SoldierSkins_AMSD_AMSD extends AMS_BlokeSkinInfo;
// Demonstration AMS scripted skin. You get team-coloured arms and the chance to pick any of 11 faces.

#exec OBJ LOAD FILE=..\Textures\SoldierSkins.utx

#exec TEXTURE IMPORT NAME=amsd1 FILE=amsd1.pcx
#exec TEXTURE IMPORT NAME=amsd2 FILE=amsd2.pcx
#exec TEXTURE IMPORT NAME=amsd3 FILE=amsd3.pcx

// this next one is useless for AMS, but needed for the ordinary Male Soldier not to break
#exec TEXTURE IMPORT NAME=amsd4 FILE=amsd4.pcx

#exec TEXTURE IMPORT NAME=amsd1t_0 FILE=amsd1t_0.pcx
#exec TEXTURE IMPORT NAME=amsd2t_0 FILE=amsd2t_0.pcx
#exec TEXTURE IMPORT NAME=amsd3t_0 FILE=amsd3t_0.pcx
#exec TEXTURE IMPORT NAME=amsd1t_1 FILE=amsd1t_1.pcx
#exec TEXTURE IMPORT NAME=amsd2t_1 FILE=amsd2t_1.pcx
#exec TEXTURE IMPORT NAME=amsd3t_1 FILE=amsd3t_1.pcx
#exec TEXTURE IMPORT NAME=amsd1t_2 FILE=amsd1t_2.pcx
#exec TEXTURE IMPORT NAME=amsd2t_2 FILE=amsd2t_2.pcx
#exec TEXTURE IMPORT NAME=amsd3t_2 FILE=amsd3t_2.pcx
#exec TEXTURE IMPORT NAME=amsd1t_3 FILE=amsd1t_3.pcx
#exec TEXTURE IMPORT NAME=amsd2t_3 FILE=amsd2t_3.pcx
#exec TEXTURE IMPORT NAME=amsd3t_3 FILE=amsd3t_3.pcx

static function Texture LoadSkin(String SkinName, optional bool bNoWarning)
{
	if (SkinName~="SoldierSkins_AMSD.amsd4malcom") return Texture'SoldierSkins.blkt4malcom';
	else if (SkinName~="SoldierSkins_AMSD.amsd5malcom") return Texture'SoldierSkins.blkt5malcom';
	else if (SkinName~="SoldierSkins_AMSD.amsd4othello") return Texture'SoldierSkins.blkt4othello';
	else if (SkinName~="SoldierSkins_AMSD.amsd5othello") return Texture'SoldierSkins.blkt5othello';
	else if (SkinName~="SoldierSkins_AMSD.amsd4riker") return Texture'SoldierSkins.blkt4riker';
	else if (SkinName~="SoldierSkins_AMSD.amsd5riker") return Texture'SoldierSkins.blkt5riker';
	else if (SkinName~="SoldierSkins_AMSD.amsd4brock") return Texture'SoldierSkins.sldr4brock';
	else if (SkinName~="SoldierSkins_AMSD.amsd5brock") return Texture'SoldierSkins.sldr5brock';
	else if (SkinName~="SoldierSkins_AMSD.amsd4harlin") return Texture'SoldierSkins.sldr4harlin';
	else if (SkinName~="SoldierSkins_AMSD.amsd5harlin") return Texture'SoldierSkins.sldr5harlin';
	else if (SkinName~="SoldierSkins_AMSD.amsd4johnson") return Texture'SoldierSkins.sldr4johnson';
	else if (SkinName~="SoldierSkins_AMSD.amsd5johnson") return Texture'SoldierSkins.sldr5johnson';
	else if (SkinName~="SoldierSkins_AMSD.amsd4rankin") return Texture'SoldierSkins.sldr4rankin';
	else if (SkinName~="SoldierSkins_AMSD.amsd5rankin") return Texture'SoldierSkins.sldr5rankin';
	else if (SkinName~="SoldierSkins_AMSD.amsd4patch") return Texture'SoldierSkins.raws4';
	else if (SkinName~="SoldierSkins_AMSD.amsd4wraith") return Texture'SoldierSkins.gard4wraith';
	else if (SkinName~="SoldierSkins_AMSD.amsd5wraith") return Texture'SoldierSkins.gard5wraith';
	else if (SkinName~="SoldierSkins_AMSD.amsd4matrix") return Texture'SoldierSkins.hkil4matrix';
	else if (SkinName~="SoldierSkins_AMSD.amsd5matrix") return Texture'SoldierSkins.hkil5matrix';
	else if (SkinName~="SoldierSkins_AMSD.amsd4bruce") return Texture'SoldierSkins.raws4bruce';
	else if (SkinName~="SoldierSkins_AMSD.amsd5bruce") return Texture'SoldierSkins.raws5bruce';
	else return Super.LoadSkin(SkinName,bNoWarning);
}

// Override changing with team
defaultproperties
{
     ChangesWithTeam(0)=1
     ChangesWithTeam(1)=1
     ChangesWithTeam(2)=1
     ChangesWithTeam(3)=0
     ChangesWithFace(0)=0
     ChangesWithFace(1)=0
     ChangesWithFace(2)=0
     ChangesWithFace(3)=1
     OldTextureNames=1
     TalkTextureID="5"
     DefaultSkinName="SoldierSkins.Blkt"
     DefaultPackage="SoldierSkins."
}
