class AMS_CubicManSkins_Pulse_Tst1 extends AMS_CubicManSkinInfo;

// Import some textures. I recommend the use of "UCC Make" to compile this.
// Note that the texture names don't have to match the PCX/BMP names.

// The PCXs are mostly loaded straight from AMS_CubicManSkins_Test

#exec TEXTURE IMPORT NAME=Tst10 FILE=../AMS_CubicManSkins_Test/Test0.pcx
#exec TEXTURE IMPORT NAME=Tst10t_0 FILE=../AMS_CubicManSkins_Test/Test0t_0.pcx
#exec TEXTURE IMPORT NAME=Tst10t_1 FILE=../AMS_CubicManSkins_Test/Test0t_1.pcx
#exec TEXTURE IMPORT NAME=Tst10t_2 FILE=../AMS_CubicManSkins_Test/Test0t_2.pcx
#exec TEXTURE IMPORT NAME=Tst10t_3 FILE=../AMS_CubicManSkins_Test/Test0t_3.pcx

#exec TEXTURE IMPORT NAME=Tst11Test FILE=../AMS_CubicManSkins_Test/Test1Test.pcx
#exec TEXTURE IMPORT NAME=Tst11t_0Test FILE=Test1t_0Test.bmp
#exec TEXTURE IMPORT NAME=Tst11t_1Test FILE=Test1t_1Test.bmp
#exec TEXTURE IMPORT NAME=Tst11t_2Test FILE=Test1t_2Test.bmp
#exec TEXTURE IMPORT NAME=Tst11t_3Test FILE=Test1t_3Test.bmp

#exec TEXTURE IMPORT NAME=Tst12 FILE=../AMS_CubicManSkins_Test/Test2.pcx
#exec TEXTURE IMPORT NAME=Tst12t_0 FILE=../AMS_CubicManSkins_Test/Test2t_0.pcx
#exec TEXTURE IMPORT NAME=Tst12t_1 FILE=../AMS_CubicManSkins_Test/Test2t_1.pcx
#exec TEXTURE IMPORT NAME=Tst12t_2 FILE=../AMS_CubicManSkins_Test/Test2t_2.pcx
#exec TEXTURE IMPORT NAME=Tst12t_3 FILE=../AMS_CubicManSkins_Test/Test2t_3.pcx

#exec TEXTURE IMPORT NAME=Tst1CTest FILE=../AMS_CubicManSkins_Test/TestCTest.pcx

// A silly example of how scripted skins can alter skin behaviour.
// Enables team-coloured faces and adds pulsing ambient light for this skin only.

static function SetFX(actor SkinActor,Class<GenericPlayer> PlayerClass)
{
	Super.SetFX(SkinActor,PlayerClass);
	SkinActor.AmbientGlow = 255;
}

defaultproperties
{
	ChangesWithTeam(1)=1
}
